TOP_LIBTOOL=./libtool
LIBTOOL=../libtool
rm -rf subdir/.libs subdir/*.la subdir/*.lo subdir/*.o install

INSTALL=install/lib
mkdir -p ${INSTALL}
INSTALL=`cd ${INSTALL} ; pwd`

cd subdir
${LIBTOOL} --mode=compile gcc -o bug.lo -c bug.c
${LIBTOOL} --mode=link gcc -o libbug.la \
-rpath ${INSTALL} bug.lo
${LIBTOOL} --mode=compile gcc -o demo.lo -c demo.c
${LIBTOOL} --mode=link gcc -o libdemo.la \
-rpath ${INSTALL} demo.lo \
-L. -lbug

cd ..
echo "INSTALL into ${INSTALL}"

${TOP_LIBTOOL} --mode=install install -c subdir/libbug.la ${INSTALL}/libbug.la
${TOP_LIBTOOL} --mode=install install -c subdir/libdemo.la ${INSTALL}/libdemo.la

